#include <stdio.h>

void prt(int itr, char c);

int main(){
    int n;
    scanf("%d",&n);

    for(int i=1; i<=n; i++){
        prt(n-i,' ');
        prt(2*i-1,'*');
        printf("\n");
    }

    for(int i=1; i<n; i++){
        prt(i,' ');
        prt(2*(n-i)-1,'*');
        printf("\n");
    }
}

void prt(int itr, char c){
    while(itr--){
        printf("%c",c);
    }
}